*-------------------------------------------------------------------------------------------
* Program....: FTRegistry.Prg
* Version....: 1.0
* Author.....: Robin Dewson
* Date.......: October 1998
* Abstract...: Main calling prog for FoxTalk Registry Example
* Changes....:
*-------------------------------------------------------------------------------------------

*-----------------------------------------------------------------------
*-- Store settings (Development mode)
*-----------------------------------------------------------------------
LOCAL lcOldDir, lcOldPath, lcOldClassLib, lcOldEscape, lcOldTalk, lbProjMgr

IF SET('TALK') = 'ON'
	SET TALK OFF
	lcOldTalk = 'ON'
ELSE
	lcOldTalk = 'OFF'
ENDIF

*-----------------------------------------------------------------------
*-- Keep a note of current settings...
*-----------------------------------------------------------------------

lcOldEscape   = SET('ESCAPE')
lcOldDir      = FULLPATH(CURDIR())  
lcOldPath     = SET('PATH')
lcOldClassLib = SET('CLASSLIB')

CLEAR

*-----------------------------------------------------------------------
*--  maximise VFP window 
*-----------------------------------------------------------------------
_SCREEN.WindowState = 2
_SCREEN.Caption = "Registry Example"

*-----------------------------------------------------------------------
*-- Ensure the project manager(s) are invisible
*-----------------------------------------------------------------------
lbProjMgr = .F.
IF WEXIST('Project manager')
	DEACTIVATE WINDOW "Project Manager" 
	lbProjMgr = .T.
ENDIF

SET SAFETY OFF

*-----------------------------------------------------------------------
*-- Set up the path so we can instantiate the application object
*-----------------------------------------------------------------------
SetPath()

#INCLUDE Foxpro.H

PUBLIC oApplication

* Now start the application
oApplication = CREATEOBJECT("FTApplication")
oApplication.GoApplication()

_Screen.Picture = ""
IF lbProjMgr
	ACTIVATE WINDOW "Project Manager" 
ENDIF
SET DEFAULT TO &lcOldDir
CLEAR WINDOWS
RELEASE ALL EXTENDED
SET CLASSLIB TO
CLEAR PROGRAM
CLEAR ALL
ON ERROR
SET SYSMENU TO DEFAULT
_Screen.Picture = ""

*-----------------------------------------------------------------------
*-- Set up paths for the app 
*-----------------------------------------------------------------------
FUNCTION SetPath()

	LOCAL lcSys16, lcProgram, lcPath

	lcSys16 = SYS(16)
	lcProgram = SUBSTR(lcSys16, AT(":", lcSys16) - 1)

	*-----------------------------------------------------------------------
	*-- If we are running FTRegistry.PRG directly, then
	*-- CD up to the parent directory
	*-----------------------------------------------------------------------
	IF RIGHT(lcProgram, 3) = "FXP"
		lcProgram = LEFT(lcProgram, (RAT("\", lcProgram) - 1))
		CD LEFT(lcProgram, RAT("\", lcProgram))	
	ELSE
		CD LEFT(lcProgram, RAT("\", lcProgram))	
	ENDIF
	
	lcPath = "classes, forms, include, prgs, menus"
	SET PATH TO &lcPath
	*-----------------------------------------------------------------------
	*-- Set up class libraries
	*-----------------------------------------------------------------------
	SET CLASSLIB TO rgAppClass, rgRegClass ADDITIVE

ENDFUNC